Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1158632 (lxqt-common) - Review Request: lxqt-common - Common resources for LXQt desktop suite
Summary: Review Request: lxqt-common - Common resources for LXQt desktop suite
Keywords:
Status: CLOSED RAWHIDE
Alias: lxqt-common
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1157402
Blocks: qt-reviews lxqt-session
TreeView+ depends on / blocked
 
Reported: 2014-10-29 18:26 UTC by Helio Chissini de Castro
Modified: 2015-11-12 01:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-20 13:15:53 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Helio Chissini de Castro 2014-10-29 18:26:00 UTC
Spec URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-common.spec
SRPM URL: https://heliocastro.fedorapeople.org/lxqt/lxqt-common-0.8.0-2.fc21.src.rpm
Description: Common resources for LXQt desktop suite
Fedora Account System Username: heliocastro

Comment 1 Eugene A. Pivnev 2014-10-30 06:34:59 UTC
My proposition is to include lxqt-common into lxqt srpm: https://copr.fedoraproject.org/coprs/tieugene/LXQT/builds/

Comment 2 Helio Chissini de Castro 2014-10-30 13:00:33 UTC
Eugeni, sorry, but this is not possible.
We can't put everything inside a single package. We even don't have the policy to create a meta package, with explicit requires.

What should be done and i will do today, is uploading the other packages, each by each, and with proper build requires and requires. 
Libraries are automatically solved by deps during package construction and application will requires lxqt-common.

After that, we will need edit comps to add LXQt group, and obsoletes the LXDE group. This is the proper process.

[]'s

Comment 3 Kevin Kofler 2014-10-30 17:37:07 UTC
Technically, it's possible to throw everything into one package (see Source1, Source2 etc., which can be added to the normal Source=Source0), but the general rule of thumb is, if upstream releases things separately, we package them separately.

Comment 4 Eugene A. Pivnev 2014-10-31 07:39:54 UTC
(In reply to Kevin Kofler from comment #3)
> Technically, it's possible to throw everything into one package (see
> Source1, Source2 etc., which can be added to the normal Source=Source0), but
> the general rule of thumb is, if upstream releases things separately, we
> package them separately.

As I know - whole of LXQT released and will be released together: http://lxqt.org/downloads/lxqt/0.8.0/
I'd like to package whole LXQT with one srpm (as razorqt), but now it is technically impossible. So I deside to make:
1. liblxqt
2. liblxqt-mount and lxqt-globalkeys
3. lxqt (other lxqt things)

Comment 5 Rex Dieter 2014-11-07 16:24:30 UTC
now that liblxqt is done, I'll start in on this (and others today)

Comment 6 Rex Dieter 2014-11-07 17:21:05 UTC
Using, 
https://heliocastro.fedorapeople.org/lxqt/lxqt-common-0.8.0-3.fc21.src.rpm

previous -2 link missing

Comment 7 Rex Dieter 2014-11-07 17:28:25 UTC
naming: ok

license: ok

sources: ok
b48d6df01f23d56115448076ae875680  lxqt-common-0.8.0.tar.xz

macros: ok

scriptlets: ok

1.  SHOULD omit:
%{_datadir}/apps/kdm/sessions/lxqt.desktop
that's the wrong path, and kdm only uses /usr/share/xsessions anyway.

2.  SHOULD package fedora.theme separately (agreed to fix this post-review on irc)

another relatively simple package


APPROVED.

Comment 8 Mamoru TASAKA 2014-11-08 04:57:48 UTC
Rex, please do review more carefully.
What owns 
  - %{_datadir}/lxqt-qt5/
  - %{_sysconfdir}/xdg/pcmanfm-qt
  - %{_sysconfdir}/xdg/pcmanfm-qt/lxqt
?

Comment 9 Mamoru TASAKA 2014-11-08 05:00:59 UTC
* And how you checked if the license tag "LGPLv2" is okay?
  As far as I checked all 666 files, there is no such license
  information.

Comment 10 Rex Dieter 2014-11-08 13:12:49 UTC
* %{_datadir}/lxqt-qt5/ => liblxqt (fixed now)

* %{_sysconfdir}/xdg/pcmanfm-qt (and subdir) => should be owned here, good spot

* licensing: All lxqt (library/resource) packages are LGPLv2+, that is upstream intention.  Would be nice to ping them to include a license file here though, so there was no ambiguity.

Comment 12 Rex Dieter 2014-11-10 12:48:40 UTC
Looks good, thanks.

This last iteration misses owning:
%{_sysconfdir}/xdg/lxqt/

But we can review/fix that easily enough post-review.  Please move forward with SCM request.

Comment 13 Helio Chissini de Castro 2014-11-10 12:54:32 UTC
Updated with ownership and desktop-file-edit for validation
https://heliocastro.fedorapeople.org/lxqt/lxqt-common-0.8.0-5.fc21.src.rpm
https://heliocastro.fedorapeople.org/lxqt/lxqt-common.spec

Comment 14 Helio Chissini de Castro 2014-11-12 14:58:06 UTC
New Package SCM Request
=======================
Package Name: lxqt-common
Short Description: Common resources for LXQt desktop suite
Upstream URL: http://lxqt.org/downloads/lxqt/0.8.0/lxqt-common-0.8.0.tar.xz
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC: heliocastro

Comment 15 Rex Dieter 2014-11-13 17:53:26 UTC
New Package SCM Request
=======================
Package Name: lxqt-common
Short Description: Common resources for LXQt desktop suite
Upstream URL: http://lxqt.org/
Owners: heliocastro rdieter tieugene
Branches: f20 f21 el6 epel7
InitialCC:

Comment 16 Gwyn Ciesla 2014-11-13 19:38:58 UTC
Git done (by process-git-requests).

Comment 17 Rex Dieter 2014-11-20 13:15:53 UTC
imported


Note You need to log in before you can comment on or make changes to this bug.